% UBC iGEM 2016 Consortium Model
% Experiments done by David Goertsen, 4th Year Undergraduate Chemical and Biological Engineering Student
% MATLAB coding and modeling by David Goertsen
% Thanks Tarryn Monteiro for keeping me going


tspan = [0 48];

y0 = [0.01 0.01 0 11.1];

%y(1) is C crescentus concentration
%y(2) is E coli concentration
%y(3) is Cellulose Concentration
%y(4) is Glucose Concentration

[t,y] = ode45(@consortium, tspan, y0);

subplot(2,1,1);
plot(t,y(:,1),t,y(:,2));

title('11.1mM Species Growth Comparison');
xlabel('Time (hr)');
ylabel('Concentration (OD600)');
legend('C. crescentus expressing Endo5A', 'E. coli');

subplot(2,1,2);
plot(t,y(:,4));
title('Concentration of Glucose versus time');
xlabel('Time (hr)');
ylabel('Concentration (mM)');
legend('Glucose');
